Bug 246122 - databases/rrdtool: rrdcached update rc script
Summary: databases/rrdtool: rrdcached update rc script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Niclas Zeising
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-05-02 12:15 UTC by Dries Michiels
Modified: 2020-07-31 09:56 UTC (History)
1 user (show)

See Also:
zeising: maintainer-feedback+
zeising: merge-quarterly?


Attachments
rrdtool.diff (1.54 KB, patch)
2020-05-02 12:15 UTC, Dries Michiels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels 2020-05-02 12:15:41 UTC
Created attachment 214029 [details]
rrdtool.diff

This updates the rc script to not use rrdcached_flags as command_args.
Now the basic arguments are passed always configurable with knobs in rc.conf. While rrdcached_flags now serves the purpose of "extra" non required flags that can be appended to command_args.
Comment 1 Automation User 2020-05-17 00:19:02 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/146761521
Comment 2 commit-hook freebsd_committer 2020-07-20 19:15:27 UTC
A commit references this bug:

Author: zeising
Date: Mon Jul 20 19:15:13 UTC 2020
New revision: 542669
URL: https://svnweb.freebsd.org/changeset/ports/542669

Log:
  databases/rrdtool: Don't hardcode in start script

  Upate the start script of the rrdtool component rrdcached to not hardcode
  things like group, socket and pid.
  These can now be overridden in /etc/rc.conf with rrdcached_group,
  rrdcached_address and rrdcached_pid, respectively.
  The defaults are still the same.

  PR:		246122
  Submitted by:	Dries Michiels
  MFH:		2020Q3

Changes:
  head/databases/rrdtool/Makefile
  head/databases/rrdtool/files/rrdcached.in
Comment 3 Niclas Zeising freebsd_committer 2020-07-20 19:17:06 UTC
Start script updated, sorry for sitting on this for so long.
Awaiting MFH
Comment 4 commit-hook freebsd_committer 2020-07-22 16:25:12 UTC
A commit references this bug:

Author: zeising
Date: Wed Jul 22 16:24:29 UTC 2020
New revision: 542872
URL: https://svnweb.freebsd.org/changeset/ports/542872

Log:
  MFH: r542669

  databases/rrdtool: Don't hardcode in start script

  Upate the start script of the rrdtool component rrdcached to not hardcode
  things like group, socket and pid.
  These can now be overridden in /etc/rc.conf with rrdcached_group,
  rrdcached_address and rrdcached_pid, respectively.
  The defaults are still the same.

  PR:		246122
  Submitted by:	Dries Michiels

  Approved by:	ports-secteam (joenum)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/databases/rrdtool/Makefile
  branches/2020Q3/databases/rrdtool/files/rrdcached.in
Comment 5 Niclas Zeising freebsd_committer 2020-07-22 16:26:31 UTC
Merged.  Thank you for your submission!